target=Intdoubl

#include "header.inc"
#include "lang_titles.inc"

\integer{ u=randint(1..3)}
\integer{ v=randint(1..3)}
\matrix{ mat=
\u, +, -2,3
x^2+1, +, 0,3
sin(x),+ ,0,3,
ln(x),+ ,1,5,
cos(x), -,0, 2,
ln(x)/x,-, 1,4,
x*ln(x), +,1,5
(1+x)^(1/2),+,0,4
(1+x^2)^(1/2),+,0,3
x^3+\u*x-\v, +,0 ,2
\u*x+\v, +, -2,5
-\u*x+\v, -, -2,5
}

\text{ choix=randomrow(\mat)}
\text{ ch3= item(3,\choix)}
\integer{ mx= floor(min(\ch3,-0.5))}
\integer{ Mx= max(item(4,\choix),0.5)+1}
\integer{ a =randint(\ch3..(\mx+\Mx)/2)}
\integer{ b =randint(\a+1..\Mx-1)}
\function{ f= item(1,\choix)}
\text{ signe= item(2,\choix)}
\real{ A=evalue(\f,x=\a)}
\real{ B=evalue(\f,x=\b)}
\real{ C=+ isin \signe ? \B : \A}
\real{ c1=+ isin \signe ? \A : \B}
\integer{ c= random( \c1-3,\c1-1)}
\real{ My=max(\C+1,1)}
\real{ my=min(\c-1,-1)}
\real{ ab=(\a+\b)/2}
\real{ mab=(evalue(\f,x=\ab)+\c)/2}
\text{ff=htmlmath(\f)}
\real{dim=200}
\real{dimy=\dim*(\My-(\my))/(\Mx-(\mx))}

#include "lang.inc"
#include "notation.inc"
\statement{
<div class="float_right">
\draw{\dim,\dimy}{
xrange \mx, \Mx
yrange \my, \My
linewidth=2
plot green, \f
segment \a,\c,\a,\A, blue
segment \b,\c,\b,\B, blue
segment \a,\c,\b,\c, blue
 fill \ab,\mab, skyblue
 text black,\a,0,giant,\a
 text black,\b,0,giant,\b
 linewidth 1
 vline 0,\b, black
hline \a,0, black
hline \a,\c , black
 text black,\mx,\c,giant, y=\c
parallel \mx,\my,\Mx,\my, 0,1, 20, grey
parallel \mx,\my,\mx,\My, 1,0, 20, grey
arrow 0,\my, 0,\My,10,black
arrow \mx,0, \Mx,0 ,10,black
}</div>
\name_instruction[1;] \(y = \f\) \name_instruction[2;] \(\a \leq x \leq \b\), \name_instruction[3;]
<div class="wimscenter">
\special{mathmlinput [\int\int_D f(x,y)\dxdy=
\int_{reply1}^{reply2}(\int_{reply3}^{reply4} f(x,y)\dy)\dx],5
reply1
reply2
reply3
reply4}
</div>
<div class="wims_instruction">\name_hint</div>

 }
\answer{\(a)=}{\a,x}{type=function}
\answer{\(b)=}{\b,x}{type=function}
\answer{\(c)=}{\c,x}{type=function}
\answer{\(d)=}{\f,x=[\choix[3],\choix[4]]}{type=function}
