target=Intdoubl2

#include "header.inc"
#include "lang_titles.inc"

\integer{ u=randint(-3..0)}
\integer{ v=randint(1..3)}
\integer{ w=randint(\v+1..5)}
\integer{ z=randint(\w+1..8)}
\integer{ uu=randint(3..6)}
\integer{ vv=randint(0..7)}
\integer{ wy=random(randint(\vv+1..5),randint(-3..\vv-1))}
\integer{ ww= (\wy-(\vv))/(\w-(\v))=(\wy-(\uu))/(\w-(\u)) ? \wy+1:\wy}
\integer{ zy=randint(0..8)}
\integer{ zz=(\wy-(\vv))/(\w-(\v))=(\zy-(\vv))/(\z-(\v)) ? \zy+1:\zy}
\integer{minimum=min(min(\uu,\vv),min(\ww,\zz))}
\integer{c=randint(\minimum-5, \minimum-1)}
\text{A=\u,\uu}
\text{B=\v,\vv}
\text{C=\w,\ww}
\text{D=\z,\zz}
\text{F=\u,\c}
\text{E=\z,\c}
\text{solut= pari([(\uu-(\vv))/(\u-(\v))*(x-(\v))+(\vv),
(\ww-(\vv))/(\w-(\v))*(x-(\v))+(\vv),(\ww-(\zz))/(\w-(\z))*(x-(\z))+(\zz)])}
\text{drAB= item(1,\solut)}
\text{drBC= item(2,\solut)}
\text{drCD= item(3,\solut)}
\integer{ Mx= \z+2}
\integer{ mx= \u-2}
\real{ My=max(max(\uu,\vv),max(\ww,\zz))+1}
\real{ my=min(\c-1,-1)}
\real{dim=200}
\real{dimy=\dim*(\My-(\my))/(\Mx-(\mx))}

#include "lang.inc"
#include "notation.inc"
\statement{
<div class="float_right">
\draw{\dim,\dimy}{
 xrange \mx, \Mx
 yrange \my, \My
 linewidth=2
 fpoly skyblue,\A,\B,\C,\D,\E,\F,\A
 poly blue,\A,\B,\C,\D,\E,\F,\A
 text black,\A,giant,A
 text black,\B,giant,B
 text black,\C,giant,C
 text black,\D,giant,D
 text black,\E,giant,E
 text black,\F,giant,F
 linewidth 1
 vline 0,0, black
 hline 0,0, black
 parallel \mx,\my,\Mx,\my, 0,1, 20, grey
 parallel \mx,\my,\mx,\My, 1,0, 20, grey
 arrow 0,\my, 0,\My,10,black
 arrow \mx,0, \Mx,0 ,10,black
}</div>
\name_instruction[1;] \(A = (\u , \uu)\), \(B = (\v , \vv)\), \(C=(\w , \ww)\),
\(D = (\z , \zz)\), \(E = (\z , \c)\), \(F = (\u , \c)\)
\name_instruction[2;]
\name_instruction[3;]
<p class="wimscenter">\(\int\int_D f(x,y) \dxdy\)</p>
\name_instruction2[1;]
<p class="wimscenter">\( \int\int_D f(x,y) \dxdy = \int_{\u}^{\v}(\int_{c_1}^{d_1}
f(x,y)\dy)\dx + \int _{\v}^{\w}(\int_{c_2}^{d_2} f(x,y)\dy)\dx
+ \int_ {\w} ^{\z} (\int_{c_3}^{d_3} f(x,y)\dy)\dx \). </p>
\name_instruction2[2;]?

 }

\answer{\(c1\)}{\c}{type=algexp}
\answer{\(d1\)}{\drAB}{type=algexp}
\answer{\(c2\)}{\c}{type=algexp}
\answer{\(d2\)}{\drBC}{type=algexp}
\answer{\(c3\)}{\c}{type=algexp}
\answer{\(d3\)}{\drCD}{type=algexp}
